#include <stdio.h>
#include <libmn.h>

class helloWorld_task : public mthread {
public:
  helloWorld_task() : mthread("hello_task", 5, 2048) { k = 0;}

  virtual void*         on_thread() {
    mthread::on_thread();
    
    int id = get_id();
    int core = get_on_core();

    for(;;) {
        printf("[%d:%d] HalloWelt!\n", id, core);
        sleep(1);
    }

    return &k;
  }
private:
  int k;
};

extern "C" void app_main() {
    printf("Thank you for using libmnthread version: %s\n",
            libmn_version.to_string().c_str());

    mn_sleep(3);
    helloWorld_task __test[10];
    for(int i=0; i < 10; i++) {
      __test[i].create(i % 2);
    }

    libmn_panic();
}
